Last Comment Bug 689808 - Disable highlighter on aurora
: Disable highlighter on aurora
Status: VERIFIED FIXED
[qa!]
: verified-aurora, verified-beta
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: 9 Branch
: x86 All
: -- normal (vote)
: Firefox 9
Assigned To: Dave Camp (:dcamp)
:
Mentors:
Depends on: 696167
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-27 17:25 PDT by Dave Camp (:dcamp)
Modified: 2013-12-27 14:19 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Disable highlighter on aurora. (739 bytes, patch)
2011-09-27 17:26 PDT, Dave Camp (:dcamp)
rcampbell: review+
jst: approval‑mozilla‑aurora+
Details | Diff | Review
fix tests (2.27 KB, patch)
2011-10-18 10:46 PDT, Dave Camp (:dcamp)
rcampbell: review-
Details | Diff | Review
fix tests again (4.67 KB, patch)
2011-10-18 12:13 PDT, Dave Camp (:dcamp)
rcampbell: review+
Details | Diff | Review

Description Dave Camp (:dcamp) 2011-09-27 17:25:36 PDT
Highlighter isn't ready to ship, disable it on aurora.
Comment 1 Dave Camp (:dcamp) 2011-09-27 17:26:27 PDT
Created attachment 562922 [details] [diff] [review]
Disable highlighter on aurora.
Comment 2 Dave Camp (:dcamp) 2011-10-18 10:46:20 PDT
Created attachment 567801 [details] [diff] [review]
fix tests
Comment 3 Rob Campbell [:rc] (:robcee) 2011-10-18 11:52:37 PDT
Comment on attachment 567801 [details] [diff] [review]
fix tests

also need to update these files:

./styleinspector/test/browser/browser_bug683672.js:  ok(StyleInspector.isEnabled, "style inspector preference is enabled");
./styleinspector/test/browser/browser_styleinspector.js:  ok(StyleInspector.isEnabled, "style inspector preference is enabled");
./styleinspector/test/browser/browser_styleinspector_bug_672744_search_filter.js:  ok(StyleInspector.isEnabled, "style inspector preference is enabled");
./styleinspector/test/browser/browser_styleinspector_bug_672746_default_styles.js:  ok(StyleInspector.isEnabled, "style inspector preference is enabled");
Comment 4 Dave Camp (:dcamp) 2011-10-18 12:13:34 PDT
Created attachment 567832 [details] [diff] [review]
fix tests again
Comment 5 Rob Campbell [:rc] (:robcee) 2011-10-18 12:49:58 PDT
Comment on attachment 567832 [details] [diff] [review]
fix tests again

ok, I think that'll do it.
Comment 7 Dave Camp (:dcamp) 2011-10-20 12:18:04 PDT
Backed out in https://hg.mozilla.org/releases/mozilla-aurora/rev/1d546fa99f1b for test failures, filed bug 696167 with the test changes needed.
Comment 9 Mihaela Velimiroviciu (:mihaelav) 2011-11-22 07:49:48 PST
Verified that highlighter is disabled in Beta(9.0):
Mozilla/5.0 (Windows NT 6.1; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20100101 Firefox/9.0 (20111116091359)
Mozilla/5.0 (X11; Linux x86_64; rv:9.0) Gecko/20100101 Firefox/9.0

Highlighter is available in Aurora (10.0) and Nightly (11.0):
Mozilla/5.0 (Windows NT 6.1; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Windows NT 6.1; rv:11.0a1) Gecko/20111121 Firefox/11.0a1

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:11.0a1) Gecko/20111121 Firefox/11.0a1

Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111121 Firefox/10.0a2
Mozilla/5.0 (Windows NT 5.1; rv:11.0a1) Gecko/20111121 Firefox/11.0a1

Mozilla/5.0 (X11; Linux x86_64; rv:10.0a2) Gecko/20111117 Firefox/10.0a2
Mozilla/5.0 (X11; Linux x86_64; rv:11.0a1) Gecko/20111118 Firefox/11.0a1

Note You need to log in before you can comment on or make changes to this bug.